## org.apache.xalan.xslt
Class AVTPartXPath

    java.lang.Object
      |
      +--org.apache.xalan.xslt.AVTPart
            |
            +--org.apache.xalan.xslt.AVTPartXPath

public class AVTPartXPath
extends AVTPart

**For internal use only** Simple string part of a complex AVT.

See Also:
  Serialized Form

Constructor Summary
`AVTPartXPath(java.lang.String val, PrefixResolver nsNode, XPathProcessor xpathProcessor, XPathFactory factory, XMLParserLiaison liaison)` **For internal use only** Construct a simple AVT part.
`AVTPartXPath(XPath xpath)` **For internal use only** Construct a simple AVT part.

Method Summary
`void` `evaluate(XPathSupport execContext, java.lang.StringBuffer buf, org.w3c.dom.Node context, PrefixResolver nsNode)` **For internal use only** Write the value into the buffer.

Methods inherited from class org.apache.xalan.xslt.AVTPart
`setXPathSupport`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPartXPath

    public AVTPartXPath(XPath xpath)

  **For internal use only** Construct a simple AVT part.
  Parameters:
    `val` - A pure string section of an AVT.

### AVTPartXPath

    public AVTPartXPath(java.lang.String val,
                        PrefixResolver nsNode,
                        XPathProcessor xpathProcessor,
                        XPathFactory factory,
                        XMLParserLiaison liaison)
                 throws org.xml.sax.SAXException

  **For internal use only** Construct a simple AVT part.
  Parameters:
    `val` - A pure string section of an AVT.

Method Detail

### evaluate

    public void evaluate(XPathSupport execContext,
                         java.lang.StringBuffer buf,
                         org.w3c.dom.Node context,
                         PrefixResolver nsNode)
                  throws org.xml.sax.SAXException

  **For internal use only** Write the value into the buffer.
  Parameters:
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.
  Overrides:
    evaluate in class AVTPart

Copyright © 2000 Apache XML Project. All Rights Reserved.